import { Logger } from "winston";
type FunctionMap = Record<string, {
    xName: string;
    xAuthor: string;
    xIcon: string;
}>;
type CardMap = Record<string, any>;
type TempMap = Record<string, string>;
declare class LarkCard<TCardMap extends CardMap, TTempMap extends TempMap, TFunctionMap extends FunctionMap> {
    protected requestId: string;
    protected funcName: string;
    protected functionMap: TFunctionMap;
    protected cardMap: TCardMap;
    protected tempMap: TTempMap;
    protected stringify: boolean;
    protected logger: Logger;
    constructor({ funcName, stringify, requestId, cardMap, tempMap, functionMap, logger, }: {
        funcName: string;
        stringify: boolean;
        requestId: string;
        cardMap?: TCardMap;
        tempMap?: TTempMap;
        functionMap?: TFunctionMap;
        logger: Logger;
    });
    setFunction(funcName: string): void;
    setStringify(stringify: boolean): void;
    child(func: string, stringify?: boolean): LarkCard<TCardMap, TTempMap, TFunctionMap>;
    genCard(cardKey: keyof TCardMap | object, variables: {
        [key: string]: any;
    }): any;
    genSuccessCard(content: any): any;
    genErrorCard(content: any): any;
    genPendingCard(content: any): any;
    genTempCard(tempKey: keyof TTempMap, variables: {
        [key: string]: any;
    }): string | {
        type: string;
        data: {
            config: {
                update_multi: boolean;
                enable_forward: boolean;
            };
            template_id: TTempMap[keyof TTempMap];
            template_variable: Record<string, any>;
        };
    };
}
export default LarkCard;
